package settlement

import (
	"git.frostfs.info/TrueCloudLab/frostfs-node/internal/logs"
	"git.frostfs.info/TrueCloudLab/frostfs-node/pkg/util/logger"
)

type auditEventHandler struct {
	log *logger.Logger

	epoch uint64

	proc AuditProcessor
}

func (p *auditEventHandler) handle() {
	p.log.Info(logs.SettlementProcessAuditSettlements)

	p.proc.ProcessAuditSettlements(p.epoch)

	p.log.Info(logs.SettlementAuditProcessingFinished)
}
